<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>
	<body>
		<!-- "id" attribute assigns a unique named identifier to an element -->
		<h2 id="top">HTML Attributes</h2>
		<!-- "align attribute" changes the alignment of an element -->
		<p align="center">
			<em>Modifiers of element behaviors</em>
		</p>

		<h2>HTML Images</h2>
		<p align="right">
			<!-- &lt; and &gt; are called "HTML Entities" is used to include special characters into text. -->
			<em>A image can be shown using &lt;img&gt; tag along with its <strong>src attribute</strong>.</em>
		</p>

		<!-- Add an image using absolute link. -->
		<a href="https://place-puppy.com/300x300">
			<!-- Any HTML tags wrapped inside and <a> tag will become a clickable element -->
			<img src="https://place-puppy.com/300x300">
		</a>

		<p>
			<!-- <code> tag is used to define a piece of computer code and displays text in the browser. -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>

		<!-- Add an image using relative link. -->
		<!-- 
			The dot (.) symbol in the relative link refers to the current directory.
			the double dot (..) is used to access the folder one level up from the current directory
			The forward slash (/) symbol refers to accessing a different directory
		-->
		<img src="./images/zuitt.png">

		<p>
			<code>
				&lt;img src="./images/zuitt.png"&gt;
			</code>
		</p>

		<p>
			Valid image extensions are the following:
		</p>
		<!-- 
			In ol/ul, type attribute is used to change the numbered points (default) to another ordered list type 


			Other values for type attribute in ol are the following:
				- 1 (default)
				- A
				- a
				- I
				- i
			Other values for type attribute in ol are the following:
				- disc
				- circle
				- square
		-->
		<!-- The "reversed" attribute reverses the order of the bullet points. -->
		<ol type="I" reversed>
			<li>png</li>
			<li>jpg/jpeg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<p>
			Take a look w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a>.
		</p>

		<h2>HTML Links</h2>
		<h4>Absolute Link</h4>
		<!-- Create a hyperlink element that redirects to a different page -->
		<!-- 
			<a> tag - creates a hyperlink element when clicked will be redirect to a different page.
				"href" attribute means "hypertext reference" which is used to specify the link.
				"target" attribute defines where the link will be opened.
					"_blank" will be opened in a new tab
		 -->
		<a href="https://zuitt.co/" target="_blank">I'm a Hyperlink</a>

		<h4>Relative Link</h4>
		<p>
			Go to <a href="./link.html">link.html</a>
		</p>

		<p>
			Go to <a href="./images/index.html">images/index.html</a>
		</p>
		<!-- Redirects to the HTML element with the id attribute that has a value equal to "top". -->
		<p>
			Go to <a href="#top">top</a>
		</p>
	</body>
</html>
